← Back to API Reference

/graphic_categories

Tag: graphic_categories

getUser-defined categories for organising graphics and logos

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringDisplay name (e.g., "Team Logos", "Sponsors")
slugquerystringURL-safe unique identifier (e.g., "team-logos")
descriptionquerystringOptional description of the category
sort_orderquerystringDisplay order for sorting
is_activequerystringWhether the category is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/graphic_categories?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postUser-defined categories for organising graphics and logos

Parameters

NameInTypeFormatRequiredDescription
graphic_categoriesbodyobjectgraphic_categories
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/graphic_categories" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "name": "example",
  "slug": "example",
  "sort_order": 0,
  "is_active": true
}'

Responses

201Created

patchUser-defined categories for organising graphics and logos

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringDisplay name (e.g., "Team Logos", "Sponsors")
slugquerystringURL-safe unique identifier (e.g., "team-logos")
descriptionquerystringOptional description of the category
sort_orderquerystringDisplay order for sorting
is_activequerystringWhether the category is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
graphic_categoriesbodyobjectgraphic_categories
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/graphic_categories?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"name": "example"}'

Responses

204No Content

deleteUser-defined categories for organising graphics and logos

Parameters

NameInTypeFormatRequiredDescription
idquerystring
namequerystringDisplay name (e.g., "Team Logos", "Sponsors")
slugquerystringURL-safe unique identifier (e.g., "team-logos")
descriptionquerystringOptional description of the category
sort_orderquerystringDisplay order for sorting
is_activequerystringWhether the category is active/enabled
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/graphic_categories?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

User-defined categories for organising graphics and logos

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
name
stringtextDisplay name (e.g., "Team Logos", "Sponsors")
slug
stringtextURL-safe unique identifier (e.g., "team-logos")
description
stringtextOptional description of the category
sort_order
integerinteger0Display order for sorting
is_active
booleanbooleanWhether the category is active/enabled
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zoneSoft delete timestamp